Skip to content
πŸŽ‰ Micro library for checking if it's April 1st
TypeScript JavaScript
Branch: master
Clone or download

Latest commit

Files

Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
src
.babelrc
.eslintignore
.eslintrc.js
.gitignore
.travis.yml
LICENSE
README.md
package.json πŸ“¦ Minor package updates Mar 21, 2020
rollup.config.ts
tsconfig.json
yarn.lock

README.md

is-april-fools

πŸŽ‰ Micro library to check if it is April 1st.


Simple utility which will return true if the current date is April 1st. This allows your app/program/script/system to do something on April fools (such as conditionally showing some April fools joke UI).

Installation

This package is available on NPM, and you can install it with npm or yarn:

npm install is-april-fools

yarn add is-april-fools

Add the -S flag if you want to save it to the "dependencies" section of your package.json.

Browser/UMD

If you want to just import this library directly in the browser, you can add the following script tag:

<script src="https://unpkg.com/is-april-fools/lib/index.umd.js" />

This will expose a isAprilFools function in the global scope.

Usage

import isAprilFools from 'is-april-fools';

if (isAprilFools()) {
    console.log('πŸŽ‰ Happy April Fools!');
} else {
    console.log('😞 Just another boring day...');
}

Note

This package uses the current date from the machine it is running on, meaning if this is running on a server or in a lambda somewhere, you may get unexpected results or some weird edge cases.

Contributing

Feel free to file an issue or open a pull request.


πŸ‘Œ Built by Dave Lunny in the wonderful year 2019.

You can’t perform that action at this time.